You are not logged in.

#1 2008-11-18 09:21:15

Roberth
Member
From: The Pale Blue Dot
Registered: 2007-01-12
Posts: 894

[Request]MPlayer with vdpau support?

ftp://download.nvidia.com/XFree86/vdpau/

Someone who is good with PKGBUILDs who can make this? Would be appreciated if there where no gui compiled with MPlayer.


Use the Source, Luke!

Offline

#2 2008-11-18 12:55:38

Vintendo
Member
From: Netherlands
Registered: 2008-04-21
Posts: 375
Website

Re: [Request]MPlayer with vdpau support?

Second that, also a patched ffmpeg would be great!

Offline

#3 2008-11-18 23:56:42

Kosava
Member
From: Serbia
Registered: 2008-08-19
Posts: 127

Re: [Request]MPlayer with vdpau support?

that will be nice +1

Offline

#4 2008-11-19 11:35:28

Vintendo
Member
From: Netherlands
Registered: 2008-04-21
Posts: 375
Website

Re: [Request]MPlayer with vdpau support?

I've had a go myself. It works, it plays with vdpau support. I have to test it, and I would like you to test it before I submit it to the aur.

# Contributor: Vincent Kriek [Vintendo] <vincent@vincentkriek.nl>

pkgname=mplayer-vdpau-nogui-svn
pkgver=27408
pkgrel=1
pkgdesc="Famous multimedia player, dev. version, without its GUI and support for nvidia VDPAU"
arch=('i686' 'x86_64')
url="http://www.mplayerhq.hu/"
license=('GPL')
depends=('ttf-dejavu')
makedepends=('subversion')
conflicts=('mplayer')
provides=('mplayer')
source=(ftp://download.nvidia.com/XFree86/vdpau/mplayer-vdpau-3076399.tar.bz2)
md5sums=(a2406b2dd644cff36d33d48998e9504e)

build() {
    cd $srcdir/mplayer-vdpau-3076399

    set -e
    set -x

    co_dir=mplayer-vdpau
    
    svn co --ignore-externals -r 27408 svn://svn.mplayerhq.hu/mplayer/trunk ${co_dir}
    cd ${co_dir}
    svn co -r 14529 svn://svn.mplayerhq.hu/ffmpeg/trunk/libpostproc
    svn co -r 14529 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavformat
    svn co -r 14529 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavcodec
    svn co -r 14529 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavutil

    patch -p0 < ../mplayer-vdpau-mplayer.patch 
    patch -p0 < ../mplayer-vdpau-libavutil.patch 
    patch -p0 < ../mplayer-vdpau-libavcodec.patch 

    ./configure --prefix=/usr --confdir=/etc/mplayer --disable-gui \
    --disable-runtime-cpudetection --enable-largefiles --enable-menu \
    --disable-libdv --disable-aa --disable-liblzo --disable-speex \
    --disable-fribidi --disable-arts --disable-smb --disable-dvdnav \
    --disable-openal --disable-faad-internal --disable-jack \
    --disable-musepack --disable-libamr_nb --disable-libamr_wb --disable-lirc \
    --disable-lircc --disable-x264 --disable-mencoder

    make || return 1
    make DESTDIR=$pkgdir install || return 1

    install -m0644 etc/{codecs.conf,input.conf,example.conf} $pkgdir/etc/mplayer
    install -d $pkgdir/usr/share/mplayer/
    ln -s /usr/share/fonts/TTF/DejaVuSans.ttf $pkgdir/usr/share/mplayer/subfont.ttf
}

Please test it for me

You need the nvidia-utils from Wilsons PKGBUILD from this topic: http://bbs.archlinux.org/viewtopic.php?id=59122

It doesn't seem to work on anything else than the example video. mmm

Last edited by Vintendo (2008-11-19 12:22:26)

Offline

#5 2008-11-19 13:29:11

Kosava
Member
From: Serbia
Registered: 2008-08-19
Posts: 127

Re: [Request]MPlayer with vdpau support?

i have some error when i build this pkg

make: *** [mplayer] Error 1                                                                                                                                                                                                                  
+ return 1                                                                                                                                                                                                                                   
+ ret=1                                                                                                                                                                                                                                      
+ '[' 1 -gt 0 ']'                                                                                                                                                                                                                            
++ gettext 'Build Failed.'                                                                                                                                                                                                                   
+ error 'Build Failed.'                                                                                                                                                                                                                      
+ local 'mesg=Build Failed.'                                                                                                                                                                                                                 
+ shift                                                                                                                                                                                                                                      
++ check_buildenv color                                                                                                                                                                                                                      
+++ in_opt_array color fakeroot '!distcc' color '!ccache' '!xdelta'                                                                                                                                                                          
++++ echo color                                                                                                                                                                                                                              
++++ tr '[:upper:]' '[:lower:]'                                                                                                                                                                                                              
+++ local needle=color                                                                                                                                                                                                                       
+++ shift                                                                                                                                                                                                                                    
+++ local opt                                                                                                                                                                                                                                
+++ for opt in '"$@"'                                                                                                                                                                                                                        
++++ echo fakeroot                                                                                                                                                                                                                           
++++ tr '[:upper:]' '[:lower:]'                                                                                                                                                                                                              
+++ opt=fakeroot                                                                                                                                                                                                                             
+++ '[' fakeroot = color ']'                                                                                                                                                                                                                 
+++ '[' fakeroot = '!color' ']'                                                                                                                                                                                                              
+++ for opt in '"$@"'                                                                                                                                                                                                                        
++++ echo '!distcc'                                                                                                                                                                                                                          
++++ tr '[:upper:]' '[:lower:]'                                                                                                                                                                                                              
+++ opt='!distcc'                                                                                                                                                                                                                            
+++ '[' '!distcc' = color ']'                                                                                                                                                                                                                
+++ '[' '!distcc' = '!color' ']'
+++ for opt in '"$@"'
++++ echo color
++++ tr '[:upper:]' '[:lower:]'
+++ opt=color
+++ '[' color = color ']'
+++ echo y
+++ return
++ echo y
+ '[' -t 2 -a '!' '' = n -a y = y ']'
++ gettext ERROR:
+ printf '\033[1;31m==> ERROR:\033[1;0m\033[1;1m Build Failed.\033[1;0m\n'
==> ERROR: Build Failed.
++ gettext Aborting...
+ plain Aborting...
+ local mesg=Aborting...
+ shift
++ check_buildenv color
+++ in_opt_array color fakeroot '!distcc' color '!ccache' '!xdelta'
++++ echo color
++++ tr '[:upper:]' '[:lower:]'
+++ local needle=color
+++ shift
+++ local opt
+++ for opt in '"$@"'
++++ echo fakeroot
++++ tr '[:upper:]' '[:lower:]'
+++ opt=fakeroot
+++ '[' fakeroot = color ']'
+++ '[' fakeroot = '!color' ']'
+++ for opt in '"$@"'
++++ echo '!distcc'
++++ tr '[:upper:]' '[:lower:]'
+++ opt='!distcc'
+++ '[' '!distcc' = color ']'
+++ '[' '!distcc' = '!color' ']'
+++ for opt in '"$@"'
++++ echo color
++++ tr '[:upper:]' '[:lower:]'
+++ opt=color
+++ '[' color = color ']'
+++ echo y
+++ return
++ echo y
+ '[' -t 2 -a '!' '' = n -a y = y ']'
+ printf '\033[1;1m    Aborting...\033[1;0m\n'
    Aborting...
+ remove_deps
+ '[' 0 = 0 ']'
+ return
+ exit 2
+ clean_up
+ local EXIT_CODE=2
+ '[' 1 = 1 ']'
+ return

Offline

#6 2008-11-19 13:33:34

Vintendo
Member
From: Netherlands
Registered: 2008-04-21
Posts: 375
Website

Re: [Request]MPlayer with vdpau support?

Weird, i am definitely no PKGBUILD expert i just moved everything from the nvidia-package to the PKGBUILD, with some slight changes. You have the new Nvidia driver installed?

Offline

#7 2008-11-19 13:51:10

Kosava
Member
From: Serbia
Registered: 2008-08-19
Posts: 127

Re: [Request]MPlayer with vdpau support?

yes i have new driver

NVIDIA Driver Version: 180.08

Offline

#8 2008-11-19 14:00:15

Vintendo
Member
From: Netherlands
Registered: 2008-04-21
Posts: 375
Website

Re: [Request]MPlayer with vdpau support?

With vdpau enabled?

Offline

#9 2008-11-19 14:10:56

Kosava
Member
From: Serbia
Registered: 2008-08-19
Posts: 127

Re: [Request]MPlayer with vdpau support?

Offline

#10 2008-11-19 14:41:07

Vintendo
Member
From: Netherlands
Registered: 2008-04-21
Posts: 375
Website

Re: [Request]MPlayer with vdpau support?

I have no experience with that.

About my own problem, it cant play files in an mkv container yet. See this thread

http://www.nvnews.net/vbulletin/showthread.php?t=123095

Offline

#11 2008-11-19 16:38:58

Roberth
Member
From: The Pale Blue Dot
Registered: 2007-01-12
Posts: 894

Re: [Request]MPlayer with vdpau support?

Vintendo wrote:

I have no experience with that.

About my own problem, it cant play files in an mkv container yet. See this thread

http://www.nvnews.net/vbulletin/showthread.php?t=123095

Then this is so fra useless for me:(


Use the Source, Luke!

Offline

#12 2008-11-19 16:43:45

Vintendo
Member
From: Netherlands
Registered: 2008-04-21
Posts: 375
Website

Re: [Request]MPlayer with vdpau support?

For me too, but they are working on something that is amazing. I had a discussion on another forum a couple of months ago about driver support for hardware accelleration and the conclusion was it wouldn't happen soon. Were we wrong!

Offline

#13 2008-12-09 14:38:56

suolx
Member
From: Finland, Oulu
Registered: 2007-08-06
Posts: 29

Re: [Request]MPlayer with vdpau support?

I edited vintendos PKGBUILD a little further and got this

# Contributor Juha-Matti Heikkala <jheikkal@gmail.com>
# edited from Vincent Kriek's initial version

pkgname=mplayer-vdpau-nogui-svn
pkgver=27960
pkgrel=1
pkgdesc="Famous multimedia player, dev. version, without its GUI and support for nvidia VDPAU"
arch=('i686' 'x86_64')
url="http://www.mplayerhq.hu/"
license=('GPL')
depends=('libxv' 'libgl' 'ttf-dejavu' 'libtheora' 'nvidia-utils-beta=>180.11-2' 'nvidia-beta=>180.11-1')
optdepends=('codecs')
makedepends=('subversion' 'mesa')
conflicts=('mplayer')
provides=('mplayer')
source=(ftp://download.nvidia.com/XFree86/vdpau/mplayer-vdpau-3139462.tar.bz2)
md5sums=(668b512316b640834ec5c64fbe9b30ac)

build() {
    cd $srcdir/mplayer-vdpau-3139462

    # Custom CFLAGS break the mplayer build
    unset CFLAGS

    co_dir=mplayer-vdpau
    
    svn co --ignore-externals -r 27960 svn://svn.mplayerhq.hu/mplayer/trunk ${co_dir} || return 1
    cd ${co_dir} || return 1
    svn co -r 15884 svn://svn.mplayerhq.hu/ffmpeg/trunk/libpostproc || return 1
    svn co -r 15884 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavformat || return 1
    svn co -r 15884 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavcodec || return 1
    svn co -r 15884 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavutil || return 1

    patch -p0 < ../mplayer-vdpau-mplayer.patch || return 1
    patch -p0 < ../mplayer-vdpau-libavutil.patch || return 1
    patch -p0 < ../mplayer-vdpau-libavcodec.patch || return 1

    ./configure --prefix=/usr --enable-gui --disable-arts --enable-x11 \
      --enable-runtime-cpudetection --confdir=/etc/mplayer --disable-nas \
      --enable-gl --enable-tv-v4l1 --enable-tv-v4l2 --enable-largefiles \
      --disable-liblzo --disable-speex --disable-openal \
      --enable-fribidi --disable-libdv --disable-musepack \
      --language=all --disable-dvdnav --disable-esd --disable-mga \
      --disable-libamr_nb --disable-x264-lavc --disable-x264 --enable-vdpau \
      --with-extraincdir=/usr/lib/live-media

    make -j2 || return 1
    make -j1 DESTDIR=$pkgdir install || return 1

    install -m0644 etc/{codecs.conf,input.conf,example.conf} $pkgdir/etc/mplayer
    install -d $pkgdir/usr/share/mplayer/
    ln -s /usr/share/fonts/TTF/DejaVuSans.ttf $pkgdir/usr/share/mplayer/subfont.ttf
}

At least it's working for me...added nvidia driver depends and got some ideas from archs default mplayer configs and svn configs etc.

Offline

#14 2008-12-13 16:06:04

Roberth
Member
From: The Pale Blue Dot
Registered: 2007-01-12
Posts: 894

Re: [Request]MPlayer with vdpau support?

suolx wrote:

I edited vintendos PKGBUILD a little further and got this

# Contributor Juha-Matti Heikkala <jheikkal@gmail.com>
# edited from Vincent Kriek's initial version

pkgname=mplayer-vdpau-nogui-svn
pkgver=27960
pkgrel=1
pkgdesc="Famous multimedia player, dev. version, without its GUI and support for nvidia VDPAU"
arch=('i686' 'x86_64')
url="http://www.mplayerhq.hu/"
license=('GPL')
depends=('libxv' 'libgl' 'ttf-dejavu' 'libtheora' 'nvidia-utils-beta=>180.11-2' 'nvidia-beta=>180.11-1')
optdepends=('codecs')
makedepends=('subversion' 'mesa')
conflicts=('mplayer')
provides=('mplayer')
source=(ftp://download.nvidia.com/XFree86/vdpau/mplayer-vdpau-3139462.tar.bz2)
md5sums=(668b512316b640834ec5c64fbe9b30ac)

build() {
    cd $srcdir/mplayer-vdpau-3139462

    # Custom CFLAGS break the mplayer build
    unset CFLAGS

    co_dir=mplayer-vdpau
    
    svn co --ignore-externals -r 27960 svn://svn.mplayerhq.hu/mplayer/trunk ${co_dir} || return 1
    cd ${co_dir} || return 1
    svn co -r 15884 svn://svn.mplayerhq.hu/ffmpeg/trunk/libpostproc || return 1
    svn co -r 15884 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavformat || return 1
    svn co -r 15884 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavcodec || return 1
    svn co -r 15884 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavutil || return 1

    patch -p0 < ../mplayer-vdpau-mplayer.patch || return 1
    patch -p0 < ../mplayer-vdpau-libavutil.patch || return 1
    patch -p0 < ../mplayer-vdpau-libavcodec.patch || return 1

    ./configure --prefix=/usr --enable-gui --disable-arts --enable-x11 \
      --enable-runtime-cpudetection --confdir=/etc/mplayer --disable-nas \
      --enable-gl --enable-tv-v4l1 --enable-tv-v4l2 --enable-largefiles \
      --disable-liblzo --disable-speex --disable-openal \
      --enable-fribidi --disable-libdv --disable-musepack \
      --language=all --disable-dvdnav --disable-esd --disable-mga \
      --disable-libamr_nb --disable-x264-lavc --disable-x264 --enable-vdpau \
      --with-extraincdir=/usr/lib/live-media

    make -j2 || return 1
    make -j1 DESTDIR=$pkgdir install || return 1

    install -m0644 etc/{codecs.conf,input.conf,example.conf} $pkgdir/etc/mplayer
    install -d $pkgdir/usr/share/mplayer/
    ln -s /usr/share/fonts/TTF/DejaVuSans.ttf $pkgdir/usr/share/mplayer/subfont.ttf
}

At least it's working for me...added nvidia driver depends and got some ideas from archs default mplayer configs and svn configs etc.

That PKGBUILD just gives me a lot of errors about functions related vdpau and fails.

Last edited by Roberth (2008-12-13 16:07:31)


Use the Source, Luke!

Offline

#15 2008-12-13 16:54:53

test1000
Member
Registered: 2005-04-03
Posts: 834

Re: [Request]MPlayer with vdpau support?

the new nvidia beta rel. today or something is supposed to fix some vdpau errors. might work better with that one..

and the src and i gues pkg dirs have to be removed if you are gonna rebuild mplayer to have it work..

Last edited by test1000 (2008-12-13 16:55:24)


KISS = "It can scarcely be denied that the supreme goal of all theory is to make the irreducible basic elements as simple and as few as possible without having to surrender the adequate representation of a single datum of experience." - Albert Einstein

Offline

#16 2008-12-14 13:55:35

decaturguy
Member
From: Sweden
Registered: 2006-11-28
Posts: 117

Re: [Request]MPlayer with vdpau support?

I have tried last night for the first time against latest beta driver 180.16 and the latest mplayer patch 3219724,
it did'nt work for me got stuck at libavcodec. Any private repos with patched mplayer?

Offline

#17 2008-12-14 22:43:28

bgmiki
Member
Registered: 2008-09-24
Posts: 26

Re: [Request]MPlayer with vdpau support?

work very nice with 180.16 and new mplayer-vdpau . I try to play HD mkv file http://img218.imageshack.us/img218/8717/50314840qy0.png

Offline

#18 2008-12-14 23:26:35

Roberth
Member
From: The Pale Blue Dot
Registered: 2007-01-12
Posts: 894

Re: [Request]MPlayer with vdpau support?

Please can someone provide a package? with --disable-gui please as requested.


Use the Source, Luke!

Offline

#19 2008-12-14 23:33:46

Vintendo
Member
From: Netherlands
Registered: 2008-04-21
Posts: 375
Website

Re: [Request]MPlayer with vdpau support?

# Contributor: Vincent Kriek [Vintendo] <vincent@vincentkriek.nl>

pkgname=mplayer-vdpau-nogui-svn
pkgver=27408
pkgrel=1
pkgdesc="Famous multimedia player, dev. version, without its GUI and support for nvidia VDPAU"
arch=('i686' 'x86_64')
url="http://www.mplayerhq.hu/"
license=('GPL')
depends=('ttf-dejavu' 'x264' 'aalib' )
makedepends=('subversion')
conflicts=('mplayer')
provides=('mplayer')
source=('ftp://download.nvidia.com/XFree86/vdpau/mplayer-vdpau-3219724.tar.bz2'
                'no_segfault_configure.diff')
md5sums=(38d3adfb5441f2e93da9ed0569c23260
                ed962f7642ffcf2411ec6465fdc8c132)

build() {
    cd $srcdir/mplayer-vdpau-3219724

    set -e
    set -x

    co_dir=mplayer-vdpau
    svn co --ignore-externals -r 27960 svn://svn.mplayerhq.hu/mplayer/trunk ${co_dir}
    cd ${co_dir}
    svn co -r 15884 svn://svn.mplayerhq.hu/ffmpeg/trunk/libpostproc
    svn co -r 15884 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavformat
    svn co -r 15884 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavcodec
    svn co -r 15884 svn://svn.mplayerhq.hu/ffmpeg/trunk/libavutil

    patch -p0 < ../mplayer-vdpau-mplayer.patch 
    patch -p0 < ../mplayer-vdpau-libavutil.patch 
    patch -p0 < ../mplayer-vdpau-libavcodec.patch 
    echo "stop"
    patch -p1 < ../../no_segfault_configure.diff
    ./configure --prefix=/usr --confdir=/etc/mplayer --disable-gui \
    --disable-runtime-cpudetection --enable-largefiles --enable-menu \
    --disable-libdv --disable-aa --disable-liblzo --disable-speex \
    --disable-fribidi --disable-arts --disable-smb --disable-dvdnav \
    --disable-openal --disable-faad-internal --disable-jack \
    --disable-musepack --disable-libamr_nb --disable-libamr_wb --disable-lirc \
    --disable-lircc --disable-x264 --disable-mencoder

    make || return 1
      make DESTDIR=$pkgdir install || return 1

    install -m0644 etc/{codecs.conf,input.conf,example.conf} $pkgdir/etc/mplayer
    install -d $pkgdir/usr/share/mplayer/
    ln -s /usr/share/fonts/TTF/DejaVuSans.ttf $pkgdir/usr/share/mplayer/subfont.ttf
}

This works for me with the new nvidia-beta driver. It opens mkv files but it stutters a little.

Offline

#20 2008-12-14 23:37:49

Roberth
Member
From: The Pale Blue Dot
Registered: 2007-01-12
Posts: 894

Re: [Request]MPlayer with vdpau support?

I need the patch.

no_segfault_configure.diff

Anyway I found it here: http://bbs.archlinux.org/viewtopic.php? … 75#p464075

Last edited by Roberth (2008-12-14 23:50:39)


Use the Source, Luke!

Offline

#21 2008-12-14 23:42:20

Vintendo
Member
From: Netherlands
Registered: 2008-04-21
Posts: 375
Website

Re: [Request]MPlayer with vdpau support?

ftp://download.nvidia.com/XFree86/vdpau … 24.tar.bz2 ?

I don't know that you mean.

I just saw your comment in that topic. I also submitted it to the aur here

Last edited by Vintendo (2008-12-14 23:54:01)

Offline

#22 2008-12-15 00:13:32

Roberth
Member
From: The Pale Blue Dot
Registered: 2007-01-12
Posts: 894

Re: [Request]MPlayer with vdpau support?

h264.c: In function 'fill_caches':
h264.c:138: warning: assignment discards qualifiers from pointer target type
h264.c:177: warning: assignment discards qualifiers from pointer target type
h264.c:179: warning: assignment discards qualifiers from pointer target type
h264.c:183: warning: assignment discards qualifiers from pointer target type
h264.c: In function 'pred_direct_motion':
h264.c:1065: warning: assignment from incompatible pointer type
h264.c:1066: warning: assignment from incompatible pointer type
h264.c: In function 'filter_mb':
h264.c:6463: warning: initialization from incompatible pointer type
h264.c:6464: warning: initialization from incompatible pointer type
cabac.h: In function 'get_cabac_noinline':
cabac.h:527: error: can't find a register in class 'GENERAL_REGS' while reloading 'asm'
cabac.h:527: error: 'asm' operand has impossible constraints
make[1]: *** [h264.o] Error 1
make[1]: Leaving directory `/home/roberth/pkg/mplayer-vdpau-nogui-svn/src/mplayer-vdpau-3219724/mplayer-vdpau/libavcodec'
make: *** [libavcodec/libavcodec.a] Error 2
+ return 1
+ ret=1
+ '[' 1 -gt 0 ']'
++ gettext 'Build Failed.'
+ error 'Build Failed.'
+ local 'mesg=Build Failed.'
+ shift
++ check_buildenv color
+++ in_opt_array color fakeroot '!distcc' color '!ccache' '!xdelta'
++++ echo color
++++ tr '[:upper:]' '[:lower:]'
+++ local needle=color
+++ shift
+++ local opt
+++ for opt in '"$@"'
++++ echo fakeroot
++++ tr '[:upper:]' '[:lower:]'
+++ opt=fakeroot
+++ '[' fakeroot = color ']'
+++ '[' fakeroot = '!color' ']'
+++ for opt in '"$@"'
++++ echo '!distcc'
++++ tr '[:upper:]' '[:lower:]'
+++ opt='!distcc'
+++ '[' '!distcc' = color ']'
+++ '[' '!distcc' = '!color' ']'
+++ for opt in '"$@"'
++++ echo color
++++ tr '[:upper:]' '[:lower:]'
+++ opt=color
+++ '[' color = color ']'
+++ echo y
+++ return
++ echo y
+ '[' -t 2 -a '!' '' = n -a y = y ']'
++ gettext ERROR:
+ printf '\033[1;31m==> ERROR:\033[1;0m\033[1;1m Build Failed.\033[1;0m\n'
==> ERROR: Build Failed.
++ gettext Aborting...
+ plain Aborting...
+ local mesg=Aborting...
+ shift
++ check_buildenv color
+++ in_opt_array color fakeroot '!distcc' color '!ccache' '!xdelta'
++++ echo color
++++ tr '[:upper:]' '[:lower:]'
+++ local needle=color
+++ shift
+++ local opt
+++ for opt in '"$@"'
++++ echo fakeroot
++++ tr '[:upper:]' '[:lower:]'
+++ opt=fakeroot
+++ '[' fakeroot = color ']'
+++ '[' fakeroot = '!color' ']'
+++ for opt in '"$@"'
++++ echo '!distcc'
++++ tr '[:upper:]' '[:lower:]'
+++ opt='!distcc'
+++ '[' '!distcc' = color ']'
+++ '[' '!distcc' = '!color' ']'
+++ for opt in '"$@"'
++++ echo color
++++ tr '[:upper:]' '[:lower:]'
+++ opt=color
+++ '[' color = color ']'
+++ echo y
+++ return
++ echo y
+ '[' -t 2 -a '!' '' = n -a y = y ']'
+ printf '\033[1;1m    Aborting...\033[1;0m\n'
    Aborting...
+ remove_deps
+ '[' 0 = 0 ']'
+ return
+ exit 2
+ clean_up
+ local EXIT_CODE=2
+ '[' 1 = 1 ']'
+ return

This is the error I get.


Use the Source, Luke!

Offline

#23 2008-12-15 00:15:37

Vintendo
Member
From: Netherlands
Registered: 2008-04-21
Posts: 375
Website

Re: [Request]MPlayer with vdpau support?

Why it gives all the plus signs i don't know but that isn't a problem. The real problem is related to asm as far as i can see. Wich architecture are you on?

Offline

#24 2008-12-15 00:17:16

Roberth
Member
From: The Pale Blue Dot
Registered: 2007-01-12
Posts: 894

Re: [Request]MPlayer with vdpau support?

i686.


Use the Source, Luke!

Offline

#25 2008-12-15 00:34:37

decaturguy
Member
From: Sweden
Registered: 2006-11-28
Posts: 117

Re: [Request]MPlayer with vdpau support?

Roberth wrote:

This is the error I get.

I get the same error on i686 sad

Offline

Board footer

Powered by FluxBB